export type UserSettingsField = "email" | "phoneNumber" | "password";

export type UserSettingsFieldStatus = Record<UserSettingsField, {
    value: string;
    error: string | null;
    touched: boolean;
}>;

export type PatchUserRequest = {
    email?: string;
    phoneNumber?: string;
    password?: string;
};

export type UserDocument = {
    file: File | null;
    uploadedFileName: string | null;
    imageSrc: string | null;
};

export type UserDocumentTypes =
    | "ИНН"
    | "Устав"
    | "Свидетельство о регистрации НКО";

export type UserDocuments = Record<UserDocumentTypes, UserDocument>;

export type UserDocumentsUrl = Record<UserDocumentTypes, string>;
